/**
 * Copper Swapper -- goat tile swapper game
 *
 * Copyright (C) 2005 Atani Software
 *
 * This code is licensed under the GPL v2.
 *
 * prompt.h -- Defines a simple yes/no style prompt using Tsunami classes
 */

#ifndef _PROMPT_H_
#define _PROMPT_H_

class Prompt : public GenericMenu
{
	public:
		Prompt(char *text);
		virtual void inputEvent(const Event &evt);
		virtual void startExit();
		int getResult() { return m_result; }
	private:
		Label	*m_promptText;
		Label	*m_instrText;
		int m_result;
};

#endif
